#Point to point

from ev3dev2.motor import MoveTank,OUTPUT_B,OUTPUT_C
from math import atan2, degrees,sqrt

def turn(angle):
    R=0.5* 15   #0.5*track width
    r_w=2.8 # wheel's radius
    k=1
    if angle<0:
        k=-1
    mt.on_for_rotations(-10*k, 10*k, (R/r_w)*(angle*k)/360)
    print("I'm turn by an angle ", angle)
    return 0

def gostraight(x, y):
    #x and y are coordinate   
    d=5.6 #diameter of the robot's wheel
    mt.on_for_rotations(10, 10, sqrt(x ** 2 + y ** 2) / (3.14*d))
    #print("go straight ")
    return 0
  
mt = MoveTank(OUTPUT_B,OUTPUT_C)
#Put the coordinate
x,y=10,10
print(x,y)
print(degrees(atan2(x,y)))
a=degrees(atan2(x,y))
turn(a)
gostraight(10,10)
