#Point to point
from ev3dev2.motor import MoveTank,OUTPUT_B,OUTPUT_C
import math

mt = MoveTank(OUTPUT_B,OUTPUT_C)

def gostraight(x, y):
    #x and y are coordinate vector v=[x,y]  17.58 - circumferrence of the robot's whell 
    mt.on_for_rotations(10, 10, math.sqrt(x ** 2 + y ** 2) / 17.58)
    #print("go straight ")
    return 0


def turn(angle):
    #7.25 - half distance between robot wheels, 2.8 - wheel's radius
    k=1
    if angle<0:
        k=-1
    mt.on_for_rotations(-10*k, 10*k, (7.25*angle*k)/(360*2.8))
    print("I'm turn around an angle", angle)
    return 0
l=[[0,0],[10,10],[20,20],[-20,20],[0,0]]#an arbitrary points
#l = [[0,0],[-3, 9], [-2, 4], [-1, 1], [0, 0], [1, 1], [2,4], [3,9]]#y=x^2
#l=[(0.0, 0.0), (6.97, 6.42), (13.95, 9.846), (20.9, 8.665), (27.91, 3.43), (34.88, -3.40), (41.86, -8.65), (48.84, -9.85), (55.82, -6.45), (62.8, -0.03)]#y=sin(x)
  
angle = 0
for i in range(0, len(l) - 1):
    print(l[i], l[i + 1])
    x = l[i + 1][0] - l[i][0]
    y = l[i + 1][1] - l[i][1]
    new_angle = math.degrees(math.atan2(y, x))
    print(new_angle, angle) 
    if new_angle-angle!=0:
        angle = new_angle - angle
        turn(angle)
    gostraight(x, y)
    angle = new_angle
